Package org.apache.ignite.internal.processors.platform.client.tx

## Class ClientTxEndRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.tx.ClientTxEndRequest

All Implemented Interfaces:
  `ClientListenerRequest`, `ClientTxSupport`

    public class ClientTxEndRequest
    extends ClientRequest
    implements ClientTxSupport

End the transaction request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`ClientTxEndRequest​(BinaryRawReader reader)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`RuntimeException` `endTxException​(IgniteCheckedException cause)`
`boolean` `isAsync​(ClientConnectionContext ctx)`
`IgniteInternalFuture<ClientResponse>` `processAsync​(ClientConnectionContext ctx)` Processes the request asynchronously.
`RuntimeException` `transactionNotFoundException()`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`process, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientTxSupport

`endTxAsync, startClientTransaction, startTxException`

### Constructor Detail

#### ClientTxEndRequest

    public ClientTxEndRequest​(BinaryRawReader reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### isAsync

    public boolean isAsync​(ClientConnectionContext ctx)

Overrides:
  `isAsync` in class `ClientRequest`
Parameters:
  `ctx` - Client connection context.
Returns:
  `True` if request should be processed asynchronously.

#### processAsync

    public IgniteInternalFuture<ClientResponse> processAsync​(ClientConnectionContext ctx)

Processes the request asynchronously.

Overrides:
  `processAsync` in class `ClientRequest`
Returns:
  Future for response.

#### transactionNotFoundException

    public RuntimeException transactionNotFoundException()

Specified by:
  `transactionNotFoundException` in interface `ClientTxSupport`
Returns:
  Protocol specific transaction not found exception.

#### endTxException

    public RuntimeException endTxException​(IgniteCheckedException cause)

Specified by:
  `endTxException` in interface `ClientTxSupport`
Parameters:
  `cause` - Exception cause.
Returns:
  Protocol specific end transaction exception.